Package ghidra.trace.model.time.schedule

# Class SkipStep

java.lang.Object
ghidra.trace.model.time.schedule.AbstractStep
ghidra.trace.model.time.schedule.SkipStep

All Implemented Interfaces:
  `Step`, `Comparable<Step>`

public class SkipStep extends AbstractStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.trace.model.time.schedule.Step

  `Step.StepType`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.model.time.schedule.AbstractStep

  `threadKey, tickCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SkipStep(long threadKey, long tickCount)`
  Construct a skip step for the given thread with the given tick count

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractStep`
  `clone()`
  `void`
  `execute(PcodeThread<?> emuThread, Stepper stepper, TaskMonitor monitor)`
  `long`
  `getSkipCount()`
  `Step.StepType`
  `getType()`
  `static SkipStep`
  `parse(long threadKey, String stepSpec, TraceSchedule.TimeRadix radix)`
  `Step`
  `subtract(Step step)`
  `protected String`
  `toStringStepPart(TraceSchedule.TimeRadix radix)`
  Return the step portion of `AbstractStep.toString()`

  ### Methods inherited from class ghidra.trace.model.time.schedule.AbstractStep

  `addTo, advance, coalescePatches, compareStep, equals, getPatchCount, getThreadKey, getTickCount, hashCode, isCompatible, isNop, rewind, toString, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.time.schedule.Step

  `compareStepType, compareTo, execute, getThread, getTypeOrder, isEventThread`

- ## Constructor Details

  - ### SkipStep

    public SkipStep(long threadKey, long tickCount)
    Construct a skip step for the given thread with the given tick count
    Parameters:
      `threadKey` - the key of the thread in the trace, -1 for the "last thread"
      `tickCount` - the number of ticks to skip on the thread

- ## Method Details

  - ### parse

    public static SkipStep parse(long threadKey, String stepSpec, TraceSchedule.TimeRadix radix)

  - ### getType

    public Step.StepType getType()

  - ### getSkipCount

    public long getSkipCount()

  - ### toStringStepPart

    protected String toStringStepPart(TraceSchedule.TimeRadix radix)
    Description copied from class: `AbstractStep`
    Return the step portion of `AbstractStep.toString()`
    Specified by:
      `toStringStepPart` in class `AbstractStep`
    Parameters:
      `radix` - the radix
    Returns:
      the string

  - ### clone

    public AbstractStep clone()
    Specified by:
      `clone` in interface `Step`
    Specified by:
      `clone` in class `AbstractStep`

  - ### subtract

    public Step subtract(Step step)

  - ### execute

    public void execute(PcodeThread<?> emuThread, Stepper stepper, TaskMonitor monitor) throws CancelledException
    Throws:
      `CancelledException`